#ifndef __FLOAT64_H__
#define __FLOAT64_H__

#define MASK64HI_SIGN		0x80000000
#define MASK64HI_EXPONENT	0x7FF00000
#define MASK64HI_1ST_MANTISSA	0x00080000
#define MASK64LOW_1ST_MANTISSA	0x80000000

union UNION64
{
	double asFloatingPoint;
	long asLongInteger[2];
};


class Float64
{
public:
	Float64(double fValue = 0.0) {this->u64.asFloatingPoint = fValue;};
        double Fp() {return this->u64.asFloatingPoint;};
        long LiHi() {return this->u64.asLongInteger[1];};
        long LiLow() {return this->u64.asLongInteger[0];};
        long Sign();
        long Exponent();
        void PrintFraction();
        void Print();


private:
        UNION64 u64;
};

#endif