#ifndef __FLOAT32_H__
#define __FLOAT32_H__

#define MASK32_SIGN		0x80000000
#define MASK32_EXPONENT		0x7F800000
#define MASK32_1ST_MANTISSA	0x00400000

union UNION32
{
	float asFloatingPoint;
	long asLongInteger;
};

class Float32
{
public:
	Float32(float fValue = 0.0) {this->u32.asFloatingPoint = fValue;};
        float Fp() {return this->u32.asFloatingPoint;};
        long Li() {return this->u32.asLongInteger;};
        long Sign();
        long Exponent();
        void PrintFraction();
        void Print();

private:
        UNION32 u32;
};

#endif